Bug 736436 - virtual subscriptions are not included when the certificates are downloaded
virtual subscriptions are not included when the certificates are downloaded
Status: CLOSED CURRENTRELEASE
Product: Candlepin
Classification: Community
Component: candlepin (Show other bugs)
0.5
All Linux
unspecified Severity high
: ---
: ---
Assigned To: William Poteat
John Sefler
:
Depends On:
Blocks: rhsm-rhel62
  Show dependency treegraph
 
Reported: 2011-09-07 13:10 EDT by blittle
Modified: 2015-05-14 11:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-30 09:15:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description blittle 2011-09-07 13:10:00 EDT
Description of problem:
Only physical subscriptions are being downloaded using download all certificates in rhsm-web

Version-Release number of selected component (if applicable):


How reproducible:
100%


Steps to Reproduce:
1. Login in as rhn-cservice-acarter pw --redhat
2. Select consumer truth-happens
3. That consumer has 17 physical subscriptions.  When the download all certificate button is selected 17 pem files are saved.
4. If a consumer has virtual subscriptions they are not included in the download.
  
Actual results:
virtual subscriptions are not included in the download.

Expected results:
Physical and virtual subscriptions should be included in the download.

Additional info:
Comment 2 William Poteat 2011-09-09 14:56:31 EDT
Most have been corrected in Entitlement Team - Sprint 31.

1. Will be deferred to Entitlement Team - Sprint 32
2. Done. The list of 'export types' is defined in the default-rules.js
3. Done.
4. Done.
5. Done.
Comment 3 blittle 2011-09-14 11:24:56 EDT
Verified in https://rails-fte.gss.devlab.phx1.redhat.com/management
The download all certificates button now includes the virtual subscriptions now.

Note You need to log in before you can comment on or make changes to this bug.